Bug 126839 - 'kernel: smb_proc_readdir_log: error=-2, breaking'
Summary: 'kernel: smb_proc_readdir_log: error=-2, breaking'
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-28 08:54 UTC by Justin Boileau
Modified: 2015-01-04 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:51:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Boileau 2004-06-28 08:54:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
This is an out the box install of Fedora FC2. Running samba-
client.3.0.3-5

When I mount a remote windows 2000 share and try to display the 
contents of a folder with a large number of files in, no files are 
displayed. And there is a error in the /var/log/messages file:

'kernel: smb_proc_readdir_log: error=-2, breaking'

................

Details:
The Windows Server is 2000 Service Pack 4. Everyone has full control 
on the share and files.

Logged on the linux box as root. And all command are entered from the 
console

The share mounted is s$ as 
mount -t smbfs -o 
username=administrator,password=password //server/s$ /mnt/a

The command used is:
ls /mnt/a/Software/Other/RedHat7.3/RedHat/RPMS

the responce was:
smb_proc_readdir_log: error=-2, breaking

and no files where returned.








 





 


Version-Release number of selected component (if applicable):
2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. mount -t smbfs -o 
username=administrator,password=password //server/s$ /mnt/a
2. ls /mnt/a/Software/Other/RedHat7.3/RedHat/RPMS
3.
    

Actual Results:  No file list was returned

Expected Results:  List of files

Additional info:

I have also tested this on a RedHat 7.3 box and encountered the same 
problem.

Comment 1 Arjan van de Ven 2004-06-28 08:57:43 UTC
Please consider using cifs not smbfs for connecting to win2k
machines.. also consider going to the update kernel with many fixes in it.

Comment 2 Dave Jones 2005-01-14 05:23:29 UTC
fixed in latest updates ?

Comment 3 Dave Jones 2005-04-16 04:51:46 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.